%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name tripleo-validations
%global with_doc 0

Name:           openstack-tripleo-validations
Summary:        Ansible playbooks to detect potential issues with TripleO deployments
Version:        5.1.0
Release:        5%{?dist}
License:        ASL 2.0
URL:            http://tripleo.org
Source0:        https://tarballs.openstack.org/tripleo-validations/tripleo-validations-%{upstream_version}.tar.gz

#
# patches_base=+2
#
Patch0001: 0001-Update-UPPER_CONSTRAINTS_FILE-for-stable-newton.patch
Patch0002: 0002-Validation-to-check-the-undercloud-processes.patch
Patch0003: 0003-Validation-to-check-ulimits-on-controller.patch
Patch0004: 0004-Validate-ntp-is-running-and-synchronised.patch
Patch0005: 0005-Validate-pacemaker-status.patch
Patch0006: 0006-Validate-the-open-files-limit-value-in-mysql.patch
Patch0007: 0007-Validate-rabbitmq-limits.patch
Patch0008: 0008-Remove-become-true-from-the-inventory-script.patch
Patch0009: 0009-Generate-documentation-for-validations.patch
Patch0010: 0010-Make-the-ini-based-validations-more-robust.patch
Patch0011: 0011-Add-network-gateway-validation.patch
Patch0012: 0012-Validate-rogue-DHCP-servers.patch
Patch0013: 0013-Add-a-validation-specific-Ansible-output-callback.patch
Patch0014: 0014-Add-the-NoopFirewallDriver-validation.patch
Patch0015: 0015-Validate-haproxy-configuration-values.patch
Patch0016: 0016-Validation-to-verify-connectivity-to-overcloud.patch
Patch0017: 0017-Validation-to-detect-if-undercloud-disks-use-512e.patch
Patch0018: 0018-Validate-the-IP-range-for-the-control-plane.patch
Patch0019: 0019-Use-custom-CA-cert-with-tripleo-ansible-inventory.patch
Patch0020: 0020-Fix-the-ctlplane-ip-range-validation.patch
Patch0021: 0021-Fix-the-mysql-open-files-limit-validation.patch
Patch0022: 0022-Fix-the-rabbitmq-limits-validations.patch
Patch0023: 0023-Fix-the-pacemaker-status-validation.patch
Patch0024: 0024-Fix-the-check-network-gateway-validation.patch
Patch0025: 0025-Fix-the-DHCP-validations.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-pbr
Requires:       ansible >= 2
Requires:       python-pbr
Requires:       python-setuptools

%description
A collection of Ansible playbooks to detect and report potential issues during
TripleO deployments.

%package -n openstack-tripleo-validations-tests
Summary:        Tests for TripleO validations
Requires:       %{name} = %{version}-%{release}

BuildRequires:  python-coverage
BuildRequires:  python-subunit
BuildRequires:  python-oslotest
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
BuildRequires:  python-netaddr
BuildRequires:  ansible >= 2

Requires:       python-coverage
Requires:       python-subunit
Requires:       python-oslotest
Requires:       python-oslo-config >= 2:3.14.0
Requires:       python-heatclient >= 1.4.0
Requires:       python-keystoneclient >= 1:2.0.0
Requires:       python-novaclient >= 2.29.0
Requires:       python-testrepository
Requires:       python-testscenarios
Requires:       python-testtools
Requires:       python-netaddr
Requires:       ansible >= 2

%description -n openstack-tripleo-validations-tests
This package contains the tripleo-validations test files.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Tripleo Validations

BuildRequires:    python-sphinx
BuildRequires:    python-oslo-sphinx

%description      doc
This package contains the tripleo-validations Documentation files.
%endif

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt

%build
%{__python2} setup.py build

# docs generation
%if 0%{?with_doc}
%{__python2} setup.py build_sphinx
%endif

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python2} setup.py testr

%files
%license LICENSE
%doc README.rst AUTHORS ChangeLog
%{python2_sitelib}/tripleo_validations
%{python2_sitelib}/tripleo_validations-*.egg-info
%{_datadir}/%{name}
%{_bindir}/tripleo-ansible-inventory
%exclude %{python2_sitelib}/tripleo_validations/test*

%files -n openstack-tripleo-validations-tests
%license LICENSE
%{python2_sitelib}/tripleo_validations/tests

%if 0%{?with_doc}
%files doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 5.1.0-5
- Fix the DHCP validations (rhbz#1394830)

* Mon Nov 14 2016 Jon Schlueter <jschluet@redhat.com> 5.1.0-4
- Fix the check-network-gateway validation (rhbz#1394323)
- Fix the pacemaker-status validation (rhbz#1394324)
- Fix the rabbitmq-limits validations (rhbz#1394325)

* Tue Nov 08 2016 Jon Schlueter <jschluet@redhat.com> 5.1.0-3
- Fix the mysql-open-files-limit validation
- Fix the ctlplane-ip-range validation

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 5.1.0-2
- Use custom CA cert with tripleo-ansible-inventory
- Validate the IP range for the control plane
- Validation to detect if undercloud disks use 512e
- Validation to verify connectivity to overcloud
- Validate haproxy configuration values
- Add the NoopFirewallDriver validation
- Add a validation-specific Ansible output callback
- Validate rogue DHCP servers
- Add network gateway validation
- Make the ini-based validations more robust
- Generate documentation for validations
- Remove `become: true` from the inventory script
- Validate rabbitmq limits
- Validate the open-files-limit value in mysql
- Validate pacemaker status
- Validate ntp is running and synchronised
- Validation to check ulimits on controller
- Validation to check the undercloud processes
- Update UPPER_CONSTRAINTS_FILE for stable/newton

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.1.0-1
- Update to 5.1.0

